package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S2005对象 t_monthly_quality_report_s2005
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS2005 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** pH值 */
    @Excel(name = "pH值")
    private String ph;

    /** 油层比例 */
    @Excel(name = "油层比例")
    private String oilRatio;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setPh(String ph)
    {
        this.ph = ph;
    }

    public String getPh()
    {
        return ph;
    }
    public void setOilRatio(String oilRatio)
    {
        this.oilRatio = oilRatio;
    }

    public String getOilRatio()
    {
        return oilRatio;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("ph", getPh())
            .append("oilRatio", getOilRatio())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
